Summary: Programs for mounting and unmounting filesystems.
Name: mount
Exclusiveos: Linux
Version: 2.11h
Release: 2mdk
Copyright: GPL
Group: System/Base
Source: ftp://ftp.win.tue.nl/pub/linux-local/utils/util-linux/util-linux-%{version}.tar.bz2
Patch:  mount-2.10r-alphahack.patch.bz2
Patch1: mount-2.10m-nolock-docs.patch.bz2
Patch2: mount-2.10o-nfsman.patch.bz2
Patch4: mount-2.10r-2gb.patch.bz2
Patch5: mount-2.10r-ia64.patch.bz2
Patch6: mount-2.10r-kudzu.patch.bz2
Patch7: mount-2.10r-swapon.patch.bz2
Patch9: mount-2.11b-swapoff.patch.bz2
Patch10: util-linux-2.11b-largefile.patch.bz2
Patch11: mount-2.11e-user_label_umount.patch.bz2
Patch12: mount-2.11h-netdev.patch.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prereq: mktemp /bin/awk /usr/bin/cmp textutils fileutils

%description
The mount package contains the mount, umount, swapon and swapoff
programs.  Accessible files on your system are arranged in one big
tree or hierarchy.  These files can be spread out over several
devices. The mount command attaches a filesystem on some device to
your system's file tree.  The umount command detaches a filesystem
from the tree.  Swapon and swapoff, respectively, specify and disable
devices and files for paging and swapping.

%package -n losetup
Summary: Programs for setting up and configuring loopback devices.
Group: System/Configuration/Networking

%description -n losetup
Linux supports a special block device called the loop device, which
maps a normal file onto a virtual block device.  This allows for the
file to be used as a "virtual file system" inside another file.
Losetup is used to associate loop devices with regular files or block
devices, to detach loop devices and to query the status of a loop
device.

%prep
%setup -q -c mount-%{version}
cd util-linux-%{version}
%patch0 -p0 -b .alphahack
%patch1 -p1 -b .docbug
%patch2 -p1 -b .nfsman
%patch4 -p1 -b .2gb
%patch5 -p1 -b .ia64
%patch6 -p1 -b .kudzu
%patch7 -p1 -b .swapon
%patch9 -p2 -b .swapoff
%patch10 -p1 -b .largefile
%patch11 -p2 -b .userumount
%patch12 -p2 -b .netdev

%build
cd util-linux-%{version}

CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -D_LARGEFILE64_SOURCE -D__USE_LARGEFILE64" CXXFLAGS="$RPM_OPT_FLAGS" ./configure
perl -pi -e "s/#define util_linux_version.*/#define util_linux_version \\\"mount-%{version}\\\"/" defines.h
cd mount

( cd ../lib; for i in setproctitle xstrncpy env; do make CFLAGS="$RPM_OPT_FLAGS" $i.o; done )

make	LIB=../lib \
	BINDIR=/bin \
	SBINDIR=/sbin \
	MANDIR=%{_mandir} \
	all

%install
cd util-linux-%{version}/mount
rm -rf $RPM_BUILD_ROOT

make	LIB=../lib \
	BINDIR=$RPM_BUILD_ROOT/bin \
	SBINDIR=$RPM_BUILD_ROOT/sbin \
	MAN5DIR=$RPM_BUILD_ROOT%{_mandir}/man5 \
	MAN8DIR=$RPM_BUILD_ROOT%{_mandir}/man8 \
	INSTALLDIR="install -d -m 755" \
	INSTALLSUID="install -s -m 755" \
	INSTALLBIN="install -s -m 755" \
	INSTALLMAN="install -m 644" \
	install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc util-linux-%{version}/mount/README.mount
%attr(4755,root,root)	/bin/mount
%attr(4755,root,root)	/bin/umount
/sbin/swapon
/sbin/swapoff
%{_mandir}/man5/fstab.5*
%{_mandir}/man5/nfs.5*
%{_mandir}/man8/mount.8*
%{_mandir}/man8/swapoff.8*
%{_mandir}/man8/swapon.8*
%{_mandir}/man8/umount.8*

%files -n losetup
%defattr(-,root,root)
%{_mandir}/man8/losetup.8*
/sbin/losetup

%changelog
* Sun Sep  9 2001 Pixel <pixel@mandrakesoft.com> 2.11h-2mdk
- remove the patch for "-t loop", now using the neater "-O loop"

* Mon Aug  6 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.11h-1mdk
- 2.11h.
- merge rh patch (-O option and label unmountable by user).

* Fri Jun  8 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.11e-1mdk
- Merge rh patches.
- 2.11e.

* Wed Apr 11 2001 Francis Galiegue <fg@mandrakesoft.com> 2.11b-5mdk
- Fixed ia64 patch (ghibosuckshardonthisoneshouldcheckwhathesdoing)

* Mon Apr  9 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.11b-4mdk
- Add RH patch for swapon to add option -e.

* Sun Apr 08 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.11b-3mdk
- adapted mount-2.10r-ia64 from RH, and merged with Francis one.
- added nfsman patch.
- put back 'loop as type' chmou patch, and readapted because structure
  members were changed.

* Fri Apr 06 2001 Francis Galiegue <fg@mandrakesoft.com> 2.11b-2mdk
- Ugly hacks to make it compile on ia64 (patch7)...

* Wed Apr 04 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.11b-1mdk
- updated to 2.11b, to see if resolve the mount problems.
- added mount-2gb.patch from RH.
- added mount-kudzu.patch from RH.
- temporary removed chmou loop patch. It will be back ASAP.

* Mon Nov 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.10q-1mdk
- Add optmisations.
- 2.10q.

* Wed Aug 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.10o-1mdk
- 2.10o.

* Thu Aug  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.10n-1mdk
- 2.10n.

* Tue Aug  1 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.10m-1mdk
- BM.
- 2.10m.

* Tue May  2 2000 Pixel <pixel@mandrakesoft.com> 2.10h-3mdk
- fix patch for loopback

* Fri Apr  7 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.10h-2mdk
- Fix group for losetup.

* Fri Mar 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.10h-1mdk
- Spec-helper cleanup.
- 2.10h.
- adjust groups.

* Fri Mar 10 2000 Pixel <pixel@mandrakesoft.com> 2.10f-2mdk
- patch for adding ability to say "-t loop" or "-t noloop", looking in
the fstab mount options

* Sun Feb 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.10f-1mdk
- 2.10f
- Clean-Up specs.
- Remove filesystems (moved to setup).
- Add Trond Nfsv3 patch.

* Tue Jan 18 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.9z-7mdk
- added sparc support.

* Sun Nov 28 1999 Stefan van der Eijk <s.vandereijk@chello.nl>
- added alpha as architecture (and rebuild by pixel)

* Sat Nov 27 1999 Pixel <pixel@linux-mandrake.com>
- removed buggy ugly awk %post

* Mon Oct 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Fix %files defattr.

* Mon Oct 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- First Mandrake package from split of utils-linux <=> mount,losetup;
- You want to see beautifull thing, come heap this spec :-\.

* Mon Sep 13 1999 Erik Troan <ewt@redhat.com>
- fixed owner patch <blush>

* Thu Sep 09 1999 Michael K. Johnson <johnsonm@redhat.com>
- added owned patch
- add "owner" option to cdrom and floppy devices unless one of the
  options "owner", "noowner", "user", or "nouser" is already set.
  Set the "noowner" option to keep this change from being made in
  the future.

* Fri Jul 16 1999 Jeff Johnson <jbj@redhat.com>
- update to 2.9u.

* Fri Jun 25 1999 Jeff Johnson <jbj@redhat.com>
- update to 2.9s.

* Thu Apr 15 1999 Jeff Johnson <jbj@redhat.com>
- update to 2.9o.

* Fri Mar 26 1999 Bill Nottingham <notting@redhat.com>
- accept ncpfs/smbfs as valid types, not just ncp/smb

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Sun Mar 14 1999 Jeff Johnson <jbj@redhat.com>
- rebuild to try and get setuid bits in binary package  -- they're in the
  spec file %attr (#1507).

* Mon Jan 18 1999 Jeff Johnson <jbj@redhat.com>
- rebuild for Raw Hide.
- update to mount-2.9 (from util-linux-2.9)

* Tue Oct 06 1998 Cristian Gafton <gafton@redhat.com>
- accept the fact that sometimes the last line in fstab does not have a \n

* Wed Aug  5 1998 Jeff Johnson <jbj@redhat.com>
- update to 2.8a (from util-linux)

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- fixed to compile on manhattan

* Wed Apr 08 1998 Erik Troan <ewt@redhat.com>
- updated to mount-2.7l

* Thu Oct 23 1997 Erik Troan <ewt@redhat.com>
- updated for glibc 2.1

* Wed Sep 03 1997 Erik Troan <ewt@redhat.com>
- updated to 2.7f
- added glibc hacks for the Alpha (I don't know why Intel doesn't need them)

* Tue Jun 17 1997 Erik Troan <ewt@redhat.com>
- updated to 2.6h
- built against glibc
